package com.usky.alarm.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.usky.alarm.domain.BaseAlarmNoticeResult;
import com.usky.alarm.mapper.BaseAlarmNoticeResultMapper;
import com.usky.alarm.service.BaseAlarmNoticeResultService;
import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.AbstractCrudService;
import com.usky.common.security.utils.SecurityUtils;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 告警通知结果 服务实现类
 * </p>
 *
 * @author han
 * @since 2023-09-25
 */
@Service
public class BaseAlarmNoticeResultServiceImpl extends AbstractCrudService<BaseAlarmNoticeResultMapper, BaseAlarmNoticeResult> implements BaseAlarmNoticeResultService {
    @Override
    public CommonPage<BaseAlarmNoticeResult> resultInfo(String receiver, Integer alarmId, Integer current, Integer size) {
        IPage<BaseAlarmNoticeResult> page = new Page<>(current, size);
        LambdaQueryWrapper<BaseAlarmNoticeResult> queryWrapper1 = Wrappers.lambdaQuery();
        queryWrapper1.like(StringUtils.isNotBlank(receiver),BaseAlarmNoticeResult::getReceiver, receiver)
                .eq(BaseAlarmNoticeResult::getAlarmId, alarmId);
//                .eq(BaseAlarmNoticeResult::getTenantId, SecurityUtils.getTenantId());
        page = this.page(page,queryWrapper1);
        return new CommonPage<>(page.getRecords(),page.getTotal(),page.getCurrent(),page.getSize());
    }
}