package com.usky.park.controller.web;


import com.alibaba.fastjson.JSONObject;
import com.usky.common.core.bean.CommonPage;
import com.usky.park.domain.DataStHistory;
import com.usky.park.service.DataStHistoryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 无人驿站历史数据 前端控制器
 * </p>
 *
 * @author fu
 * @since 2023-11-29
 */
@RestController
@RequestMapping("/dataStHistory")
public class DataStHistoryController {

    @Autowired
    private DataStHistoryService dataStHistoryService;


    /**
     * 新增
     *
     * @param dataStHistory
     * @return
     */
    @PostMapping("/add")
    public void add(@RequestBody DataStHistory dataStHistory,
                    @RequestHeader("appKey") String appKey) {
        dataStHistoryService.add(dataStHistory, appKey);
    }
    /**
     * 分页查询
     *
     * @return
     */
    @PostMapping("/pageQuery")
    public CommonPage<DataStHistory> pageQuery(@RequestBody String requestBody) {
        JSONObject params = JSONObject.parseObject(requestBody);
        Integer pageNum = (Integer) params.getOrDefault("pageNum", 1);
        Integer pageSize = (Integer) params.getOrDefault("pageSize", 10);
        return dataStHistoryService.pageList(pageNum, pageSize);
    }
}

